{% extends 'index.html' %}

{% block title %} <title>Update</title> {% endblock %}
{% block content1 %}
<div class="col-xl-9 col-lg-9 col-md-12 col-sm-12 col-12" id="updt-id">
    <div class="update-body">
        <div class="card h-100">
            <div class="card-body">
                <div class="row gutters">
                    <div class="col-xl-12 col-lg-12 col-md-12 col-sm-12 col-12">
                        <h6 class="mb-2 text-primary">Personal Details</h6>
                    </div>
                    <form class="row gutters" action="{% url 'profile-update' pk=request.user.id%}" method="post"
                          enctype="multipart/form-data">
                        {% csrf_token %}
                        <div class="col-xl-6 col-lg-6 col-md-6 col-sm-6 col-12">
                            <div class="form-group">
                                {{ form.username.label_tag }}
                                {{ form.username }}
                            </div>
                        </div>
                        <div class="col-xl-6 col-lg-6 col-md-6 col-sm-6 col-12">
                            <div class="form-group">
                                {{ form.email.label_tag}}
                                {{form.email}}
                            </div>
                        </div>
                        <div class="col-xl-6 col-lg-6 col-md-6 col-sm-6 col-12">
                            <div class="form-group">
                                {{ form.notes.label_tag}}
                                {{form.notes}}
                            </div>
                        </div>
                        <div class="col-xl-6 col-lg-6 col-md-6 col-sm-6 col-12">
                            <div class="form-group">
                                {{ form.profile_img.label_tag }}
                                {{ form.profile_img }}
                            </div>
                        </div>
                        <div class="row gutters">
                            <div class="col-xl-12 col-lg-12 col-md-12 col-sm-12 col-12">
                                <div class="text-right">
                                    <button type="submit" id="submit" name="submit" class="btn btn-primary">Update
                                    </button>
                                    <a href="{% url 'profile-view' id=request.user.id %}">
                                        <button type="button" id="submit" name="submit" class="btn btn-secondary">
                                            Cancel
                                        </button>
                                    </a>
                                </div>
                            </div>
                        </div>
                    </form>
                </div>

            </div>
        </div>
    </div>
</div>
<script>
	let x = document.getElementById("id_username");
	x.classList.add("form-control");
	let y = document.getElementById("id_notes");
	y.classList.add("form-control");
	let m = document.getElementById("id_email");
	m.classList.add("form-control");
	let z = document.getElementById("updt-id");
	z.style.marginLeft = "auto";
	z.style.marginRight = "auto";
</script>
{% endblock %}


